POST V1/BudgetAndForecasting.{ext}/BudgetCalenderPeriods

Post Budget Calender period

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.BudgetAndForecasting.Entities.CalenderPeriodDetails
NameDescriptionTypeAdditional information
calenderPeriods

No description available

EMS.BudgetAndForecasting.Entities.CalenderPeriods

None.

Action

No description available

string

None.

periodIdFr

No description available

integer

None.

PeriodName

No description available

string

None.

PeriodFrom

No description available

string

None.

PeriodTo

No description available

string

None.

PeriodsNumber

No description available

integer

None.

CalendarType

No description available

string

None.

PeriodType

No description available

string

None.

PeriodAddDelete

No description available

string

None.

PeriodDefinition

No description available

string

None.

RESULT

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "calenderPeriods": {
    "calenderPeriodList": [
      {
        "budgetCalendarDetailId": 1,
        "budgetCalenderSubName": "sample string 1",
        "accrualCalendarId": 1,
        "accrualCalendarDetailId": 1,
        "fromDate": "sample string 2",
        "toDate": "sample string 3",
        "visibility": true,
        "typeValue": true,
        "calendarDays": "sample string 6"
      },
      {
        "budgetCalendarDetailId": 1,
        "budgetCalenderSubName": "sample string 1",
        "accrualCalendarId": 1,
        "accrualCalendarDetailId": 1,
        "fromDate": "sample string 2",
        "toDate": "sample string 3",
        "visibility": true,
        "typeValue": true,
        "calendarDays": "sample string 6"
      }
    ]
  },
  "action": "sample string 1",
  "periodIdFr": 2,
  "periodName": "sample string 3",
  "periodFrom": "sample string 4",
  "periodTo": "sample string 5",
  "periodsNumber": 6,
  "calendarType": "sample string 7",
  "periodType": "sample string 8",
  "periodAddDelete": "sample string 9",
  "periodDefinition": "sample string 10",
  "result": "sample string 11"
}

application/xml, text/xml

Sample:
<CalenderPeriodDetails xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.BudgetAndForecasting.Entities">
  <Action>sample string 1</Action>
  <CalendarType>sample string 7</CalendarType>
  <PeriodAddDelete>sample string 9</PeriodAddDelete>
  <PeriodDefinition>sample string 10</PeriodDefinition>
  <PeriodFrom>sample string 4</PeriodFrom>
  <PeriodName>sample string 3</PeriodName>
  <PeriodTo>sample string 5</PeriodTo>
  <PeriodType>sample string 8</PeriodType>
  <PeriodsNumber>6</PeriodsNumber>
  <RESULT>sample string 11</RESULT>
  <calenderPeriods>
    <CalenderPeriodList>
      <CalenderPeriod>
        <AccrualCalendarDetailId>1</AccrualCalendarDetailId>
        <AccrualCalendarId>1</AccrualCalendarId>
        <BudgetCalendarDetailId>1</BudgetCalendarDetailId>
        <BudgetCalenderSubName>sample string 1</BudgetCalenderSubName>
        <CalendarDays>sample string 6</CalendarDays>
        <FromDate>sample string 2</FromDate>
        <ToDate>sample string 3</ToDate>
        <TypeValue>true</TypeValue>
        <Visibility>true</Visibility>
      </CalenderPeriod>
      <CalenderPeriod>
        <AccrualCalendarDetailId>1</AccrualCalendarDetailId>
        <AccrualCalendarId>1</AccrualCalendarId>
        <BudgetCalendarDetailId>1</BudgetCalendarDetailId>
        <BudgetCalenderSubName>sample string 1</BudgetCalenderSubName>
        <CalendarDays>sample string 6</CalendarDays>
        <FromDate>sample string 2</FromDate>
        <ToDate>sample string 3</ToDate>
        <TypeValue>true</TypeValue>
        <Visibility>true</Visibility>
      </CalenderPeriod>
    </CalenderPeriodList>
  </calenderPeriods>
  <periodIdFr>2</periodIdFr>
</CalenderPeriodDetails>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

System.Web.Http.IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.